Delete category
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/categories/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/categories/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}{
"error": "<string>"
}Categories
Delete category
This API deletes a category. Its articles and subcategories move to move_to_category_id, or to the parent category when you leave it out. A top-level category that has articles or subcategories needs move_to_category_id. The last remaining category cannot be deleted. For CLI sessions, this needs the Manage categories permission.
DELETE
/
categories
/
{id}
Delete category
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/categories/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/categories/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}{
"error": "<string>"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Category UUID or slug.
Query Parameters
Category ID or slug that receives the articles and subcategories.
Response
OK - Category deleted
Example:
"thumbs_up"